Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.auth
Interface ISVNAuthenticationStorage

public interface ISVNAuthenticationStorage

The ISVNAuthenticationStorage interface is used to implement custom runtime authentication storage managers, that are responsible for caching user credentials as well as for retrieving cached credentials from the storage of a preferable type (it may be an in-memory cache, or a disk cache).

To make an authentication manager use your custom auth storage manager, provide it to the `setRuntimeStorage()` method of the authentication manager.

A default implementation of ISVNAuthenticationStorage (that comes along with a default implementation of ISVNAuthenticationManager - org.tmatesoft.svn.core.internal.wc.DefaultSVNAuthenticationManager) caches credentials only in the memory (not in the filesystem) during runtime. This feature is handy especially when on-disk caching is disabled in the standard config file (option "store-auth-creds" is "no").

Version:
  1.0
Author:
  TMate Software Ltd.
See Also:
  `ISVNAuthenticationManager`

Method Summary
`Object` | `getData(String kind, String realm)` Retrieves a cached credential of the specified kind for the given repository authentication realm from the auth storage.
`void` | `putData(String kind, String realm, Object data)` Caches a credential of the specified kind for the given repository authentication realm in the auth storage.

Method Detail

### putData

    public void putData(String kind,
                        String realm,
                        Object data)

  Caches a credential of the specified kind for the given repository authentication realm in the auth storage.

  Parameters:
    `kind` - a credential kind (for example, like those defined in `ISVNAuthenticationManager`)
    `realm` - a repository authentication realm including a hostname, a port number and a realm string
    `data` - a credential object

### getData

    public Object getData(String kind,
                          String realm)

  Retrieves a cached credential of the specified kind for the given repository authentication realm from the auth storage.

  Parameters:
    `kind` - a credential kind (for example, like those defined in `ISVNAuthenticationManager`)
    `realm` - a repository authentication realm including a hostname, a port number and a realm string
  Returns:
    a credential object

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.